.\"     $NetBSD: dio.4,v 1.5 2003/11/16 10:13:12 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Gregory McGarry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 15, 2003
.Dt DIO 4 hp300
.Os
.Sh NAME
.Nm dio
.Nd
.Tn DIO/DIO-II bus
.Sh SYNOPSIS
.Cd "dio0 at mainbus0"
.Sh DESCRIPTION
This driver is for the DIO/DIO-II bus on HP 9000/3xx series
workstations.
.Sh SUPPORTED DEVICES
.Nx
includes
.Tn DIO
drivers, sorted by device type and driver name:
.Ss Framebuffers
.Bl -tag -width XXXXXX -offset indent
.It dvbox
.Tn HP98730
``DaVinci'' graphics device interface
.It gbox
.Tn HP98700
``Gatorbox'' graphics device interface
.It hyper
.Tn A1096A
``Hyperion'' graphics device interface
.It rbox
.Tn HP98720
``Renaissance'' graphics device interface
.It topcat
.Tn HP98544
98550 ``Topcat'' and ``Catseye'' device interface
.El
.Ss Serial interfaces
.Bl -tag -width XXXXXX -offset indent
.It com
.Tn HP98644A
serial communications interface (formerly dca)
.It dcm
.Tn HP98642A
serial communications multiplexer
.El
.Ss Network interfaces
.Bl -tag -width XXXXXX -offset indent
.It le
.Tn HP98643
built-in and add-on Ethernet boards
.El
.Ss HP-IB interfaces
.Bl -tag -width XXXXXXe -offset indent
.It fhpib
``fast'' HP-IB interface
.It nhpib
``normal'' HP-IB interface
.El
.Ss SCSI interfaces
.Bl -tag -width XXXXXX -offset indent
.It spc
.Tn HP98265A
SCSI interface
.El
.Sh SEE ALSO
.Xr com 4 ,
.Xr dcm 4 ,
.Xr dvbox 4 ,
.Xr gbox 4 ,
.Xr hpib 4 ,
.Xr hyper 4 ,
.Xr le 4 ,
.Xr rbox 4 ,
.Xr spc 4 ,
.Xr topcat 4
